# Intergalactic FM TV video plugin for Kodi

![Intergalactic FM TV icon](resources/icon.png?raw=true)


## Installation

This add-on can be installed directly from Kodi's main repository and it will
update itself. For more information, see
http://kodi.wiki/view/Add-on:Intergalactic_FM_TV

Stepts to take to install from the Kodi main repository are:
1. Go to **Add-ons** in the main menu
2. Go to the **Add-on browser** (the box icon at the top left of the screen)
3. Choose **Install from repository**
4. Choose **Video add-ons**
5. Navigate to **Intergalactic FM TV** and select it
6. Choose **Install**

### Installing Kodi

Instructions for installing Kodi can be found here: https://kodi.tv/download


## Screenshots

![Screenshot 1](screenshots/s1.png?raw=true)

![Screenshot 2](screenshots/s2.png?raw=true)

![Screenshot 3](screenshots/s3.png?raw=true)


## Development

If you are a developer and you know what you are doing, the developement
version of this add-on can be installed by the following steps:
1. Go to **Add-ons** in the main menu
2. Navigate to previously installed add-on **Intergalactic FM TV**
3. Long-press the add-on and choose **Information**
4. Choose **Uninstall**
5. Download in a web browser
https://github.com/intergalacticfm/plugin.video.intergalacticfm/archive/master.zip
6. Navigate up and go to the **Add-on browser**
7. Choose **Install from zip file**
8. Navigate to the directory where the zip file has been downloaded
9. Install the file **master.zip**


## Testing

This version has been tested on the following configurations.

|           | Kodi Krypton 17 | Kodi Leia 18 |
|-----------|----------------:|-------------:|
| Ubuntu    |     Disco 19.04 |  Disco 19.04 |
| Debian    |       Stretch 9 |    Buster 10 |
| Raspbian  |       Stretch 9 |    Buster 10 |
| LibreELEC |               8 |            9 |
| Android   |           Pie 9 |        Pie 9 |

In general, the combination of latest stable version are supported. Most likely
also all combinations with the one-but-latest versions of Kodi and an operating
system are supported.


## Maintenance

See `resources/disabled` for (temporarily) disabled streams.


## See also

See also the audio plugin called Intergalactic FM at
http://kodi.wiki/view/Add-on:Intergalactic_FM and
https://github.com/intergalacticfm/plugin.audio.intergalacticfm


## Thanks

For version 2, thanks go to [Dreamer](https://github.com/dromer) and
[Pander](https://github.com/PanderMusubi) for developing and maintining it. For
version 1, thanks go to the authors of the original add-on that was developed
for Channel 31 and forked from
https://github.com/DamonToumbourou/plugin.video.c31

Credits go to [Yulia Vilenksy](http://yuliavilensky.com) for persmission to use
her photograph used as fanart.

Last but not least, thank you (I-f)[https://en.wikipedia.org/wiki/I-F] and
others for creating [Intergalactic FM](https://intergalacticfm.com) and
embracing new initiatives and technologies to keep us all in musical orbit.

*NO STATION SUCH DEDICATION*
